%define upstream_name	 Finance-Bank-LaPoste
%define upstream_version 7.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check your "La Poste" accounts from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Form)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Requires:   perl(Crypt::SSLeay)
%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Finance/Bank/*
%{_mandir}/*/*

%changelog

* Thu Sep 01 2011 jquelin <jquelin> 7.60.0-1.mga2
+ Revision: 137548
- update to 7.06

* Tue Apr 12 2011 jquelin <jquelin> 7.50.0-1.mga1
+ Revision: 83761
- update to 7.05

* Fri Mar 18 2011 jquelin <jquelin> 7.40.0-1.mga1
+ Revision: 74116
- update to 7.04

* Thu Jan 20 2011 jquelin <jquelin> 7.30.0-1.mga1
+ Revision: 26233
- mageia rebuild
- imported package perl-Finance-Bank-LaPoste

